Introduction
support | web site | order now

Welcome to Network Password Manager help!

Click on the following links to access main topics:

  • 1. General information
  • Overview, features, requirements
  • Ordering information
  • Support and contacts
  • 2. Installation and configuring
  • 3. Getting started.
  • Basic terminology
  • Getting started
  • Hot keys
  • Security properties
  • 4. Managing your data.
  • Managing folders
  • Managing records
  • Inserting passwords into web pages
  • 5. Program options.
  • Program options
  • Password generator
  • Administration
Copyright ©2005 SowSoft. All rights reserved.


Overview, features, requirements

Brief overview

Network Password Manager is a multi-user, client-server software package that allows employees to manage their own passwords within the company LAN. It supports all standard password management functions, has flexible administrative options, a convenient user interface and many advanced functions. You may install and use Network Password Manager for free during the 60-day trial period.

Main features

  • One multi-user database for all employees (client-server solution)
  • Convenient, Explorer-like user interface
  • Advanced Password Generator and backup capability
  • Flexible configuration options
  • Supports Windows security (user groups, access rights, etc.)
  • Uses strong 256 bit AES encryption
  • Store all standard fields (user names, passwords, etc.), custom fields, dates and files

System requirements

Windows 2000/XP/2003 and a local area network (LAN)
Related : Ordering information | Contact us | Help topics


Ordering information

Ordering information

You can buy Network Password Manager by completing our secure online order form. You can also make your purchase by FAX, postal mail, phone or purchase order. All prices are in US dollars. Note: You can place net-30 orders via FAX.

Note: We offer free minor upgrades (2.X versions) for registered users. Just download the latest trial release and install it without uninstalling the previous version. This will preserve your registration. If the registration code is no longer present on your system, just re-enter it as you did the first time and restart the program.

Basic packages

Small Server license ($199)
1 server and up to 5 users

Small Server Plus ($349)
1 server and up to 10 users

Enterprise Server license ($749)
1 server and up to 25 users

Enterprise Server Plus ($1249)
1 server and up to 50 users

Custom packages

Please contact us to ask about custom packages (for example, 3 servers and up to 100 users).

If you have any sales questions, please contact us at sales@sowsoft.com

Related : Brief overview | Contact us | Help topics


Support and contacts

Technical support

If you encounter problems or find a possible bug, please inform our technical support staff. We will gladly help you as soon as possible. Before writing, please read the entire help file as it may already contain the answer to your question. Also we recommend that you visit our home page http://www.sowsoft.com. Here you can find more information about Network Password Manager and download the latest versions of our products. If a serious bug has been found in the program but the new version is not ready yet, we may be able to write a quick fix for it. If you have any questions or comments about Network Password Manager or suggestions for improvement, feel free to contact us.

How to contact us

  • Visit SowSoft at: http://www.sowsoft.com
  • Visit the Network Password Manager page at: http://www.sowsoft.com/password-manager.htm
  • Technical support e-mail: support@sowsoft.com
  • Sales e-mail: sales@sowsoft.com
Related : Ordering info | Overview | Help topics


Installing and configuring

Installation and configuring
support | web site | order now

Installing and configuring the program

Fig. 1. Installation of NPM on the server

Installing Network Password Manager on the server

You must install the administrator components on the server. The "Network Password Manager Server" check box must be checked. After installation, you will need to configure the program. (See below)

Installing Network Password Manager on a client PC

When installing the program on a client PC, turn off the "Network Password Manager Server" option.

Configuring Network Password Manager

Start Network Password Manager and find an unused port on your system. Once a port has been found, you must select it in both the server and all client PC applications on the network.
Fig. 2. Setting port address.

Configuring Network Password Manager Server

Start Network Password Manager Admin to configure the administrator properties. Initially, "Settings" must be selected from "Options" menu. There you can specify an unused port number. Also you can optionally turn on data encryption for information transmitted inside the network under a login and password. The Password Generator is very useful for this purpose. (Password Generator settings are defined in the client application.)

Note: New users can be added easily using standard Windows functions. To add a new user go to the Windows Control Panel -> Users -> Add new user...


Basic terminology

Basic terminology

1) Tree concept
All data in Network Password Manager is represented in a tree format with a strict hierarchy. Data storage folders can be created by individual users.

2) Folders
In Network Password Manager, folders contain each user's data. A folder stores all information including subfolders and records. You can create subfolders only within your personal folder. You may want to create subfolders to group password records. For example, you can group data by subjects: e-mail services, musical forums, etc.

3) Record
A record is the minimum unit of data storage in Network Password Manager. A record stores login/password data and other relevant information.

4) Tree navigation
You can browse the folder tree in two ways -- by mouse or keyboard. All standard Windows actions apply. Arrow keys are used to navigate inside an open folder. To open the necessary folder or record, you can use the "Enter" key. Hot key features come in handy when you need to add, edit or delete folders or records.

5) Data previewing
When you have selected a folder or record, all stored information will be shown. You cannot edit data while in preview mode, but it can be copied to the clipboard. Use the "Copy to clipboard" button located to the right of any field to perform this operation.

Related : Connecting to a server | Hot keys | Security properties


Getting started

Connecting to a server
support | web site | order now

Connecting to a server

Fig. 3. Connect to the server
To work with Network Password Manager on a client PC, you need to connect to the server. Start Network Password Manager and select the server name from the "Computer" dropdown list. Then enter your user name and password in the appropriate boxes. (This information is provided by your administrator.) When connected to the server the message "Connected to <server name>" will appear. If you have problems connecting, contact your administrator or NPM techincal support.

Related : Basic terminology | Hot keys | Security properties


Hot keys

Hot keys

Hot key | Description
Shift + Ins | Inserts new folder
Ins | Inserts new record
Ctrl + C | Opens "copy data to" dialog
Ctrl + X | Opens "move data to" dialog
Del | Delete any record or folder

Related : Basic terminology | Connecting to a server | Security properties


Security properties

Security properties

When creating your own folders and records, you can set up restrictions for other network users. Use the "Edit security" function to open the "Security" window where you will setup users and determine their access rights. To add a user(group), press the "Add" button and a dialog will appear. Then select users or groups and press the "OK" button. After you have added users, you can set access rights for them. Three types of access rights are available:

Owner - allow all access rights
Write - allow editing of information
Read - permit only the viewing of data

Fig. 4. Security properties window
Advice for administrators

We recommend that you to create a "Users" folder in the root directory. Then create subfolders for every user and set up their access rights. "Read" and "Write" inside the user's personal folder is recommended.

Related : Basic terminology | Connecting to a server | Hot keys


Managing folders

Managing folders

Creating and deleting folders

After connecting to the server and navigating to the root directory, you can create your own folder by right-clicking your mouse and selecting "New folder" or by using the hot key Shift+Ins. After creating a folder, you can name it and add comments. (You cannot change the creation date of the folder.) To delete a folder, right-click on it and select "Delete", or you can press the "Del" key.
Fig. 5. Add folder window

Related : Managing records | Inserting passwords into web pages


Managing records

Managing records

Creating, editing and deleting records

After you have created a folder, you can create records to hold information about your logins and passwords. If you have several e-mail accounts, it can be difficult to remember each login/password combination. Network Password Manager can solve this problem easily. For example, you could create a subfolder called "My mailboxes" and then use the context menu (or INS key) to add records containing information related to each of your e-mail accounts.
Fig. 6. Add record window

Adding new records

Main tab

Enter a record name that will help you remember what this record contains (e.g. Yahoo! Mailbox 1) and fill in the corresponding login and password fields. For increased security, you can use Network Password Manager's Password Generator feature. Enter the Website (URL) related to the login in the "Url" field (e.g. http://mail.yahoo.com). Other fields will be filled in automatically. The "Expired" field indicates the date (in dd.mm.yyyy format) and time of password expiration. It is recommended that you create a new password after this date.

Custom tab

For some records, you may wish to store additional information. In the Custom 1 and Custom 2 fields you can keep one line of text. However, in the Custom 3 field multiple lines of text can be stored.

Files tab

Here you can add files associated with the current record. Open the dialog window to select files. Then simply choose the file to be added. To add more files, just repeat this procedure. To delete a file from the list of attached files, select it and click the "Delete file" button. Deleted files are only removed from the list, not from your hard drive.

Comment tab

Here you can enter more comments for current record.

Editing records

Any information you have entered can be easily changed. To edit the current record right-click it and choose "Edit record." All data can be edited in the window that opens. You can also open this window opens double-clicking a record or by selecting a record and pressing the "Enter" key. When the "Changed" message appears in the window's caption, the changes were accepted and are in effect.

Deleting records

Records can be deleted by using the context menu or by pressing the "Delete" key.

Previewing records

You can browse the folder tree to preview all data contained in your records. Data cannot be changed while previewing, but you can copy it to the clipboard using the buttons to the right of the fields. Attached files are shown inside the "Files" tab when the "File preview" field is checked. The size of previewed files can be defined in the Program Options. Text in the "Url" field is a clickable link.
Fig. 7. Viewing records.

Related : Managing folders Inserting passwords into web pages


Inserting passwords into web pages

Inserting passwords into web pages

This feature comes in handy when you need to insert a login and password quickly. It may be used for a mailbox or a secured web page. With Network Password Manager running, all this information can be inserted easily. To use the "hot key" insert feature, go to any URL which is password protected. Place the cursor in the login field (usually by clicking the login box) and press Ctrl+Alt+L. Move to the password field and press Ctrl+Alt+P. To accept the inserted data click the OK (or equivalent) button.

Hot key | Description
Ctrl+Alt+L | Inserts login
Ctrl+Alt+P | Inserts password
Ctrl+Alt+U | Inserts URL
Ctrl+Alt+M | Recalls inserting menu

Related : Managing records | Managing folders


Password generator
support | web site | order now

Password generator

It is difficult to create and remember unique logins and passwords. The Password Generator feature makes this task easy. To randomly generate a password, simply press the button near the password field, and a new password will be generated using previously-defined options.

Related : Program options


Program options

Program options

The "Options" window can be accessed from the Options -> Settings... menu or by using the toolbar.

Global options

Here you can manually define the port that Network Password Manager will use. It is generally better to use the default settings. You should only need to manually specify the port if port 9906 is being used by another network service.

Note: The port number must be the same in both the client and administrator applications.

Minimize to tray

This option lets you to minimize the program to the system tray.

Preview options

This section allows configuring the previewing of files associated with your records. File extensions listed in "exclude types of files" will not be shown in the "Preview" tab. It is recommended that you include executable files, pictures, and multimedia files in this list.

Files you associate with your records can be partially or completely loaded. To define how much of a file will be previewed, set its size in kilobytes.

Password options

Here you can define the length (number of symbols) of the password created by the Password Generator. You can also specify the types of symbols that will be used: capital letters, small letters, numerals and special symbols.

Related : Password Generator


Administration

Administration

Network Password Manager has flexible administrative options.

Backup

NPM database is stored in the records.dat file:
{Your Server}\{NPM folder}\data\records.dat

Please backup this file often.

Configuration file

You can enable audit function, disable export function, rename custom fields etc. It is possible with the well commented options.ini file:
{Your Server}\{NPM folder}\options.ini

Just edit this file with Notepad and restart the NPM service.

Note: use the NPM Admin program to Restart/Stop the NPM service.

Related : Password Generator